/*  Project owlmovie
    
    Copyright  1995 Greg Arakelian. All Rights Reserved.

    SUBSYSTEM:    owlmovie.exe Application
    FILE:         mainapp.cpp
    AUTHOR:       Greg Arakelian


    OVERVIEW
    ========
    Source file for implementation of TMainApp (TApplication).      
*/


#include <owl\owlpch.h>
#pragma hdrstop


#include "mainapp.h"
#include "maincli.h"                        // Definition of client class.       


//{{TMainApp Implementation}}


//
// Build a response table for all messages/commands handled
// by the application.
//
DEFINE_RESPONSE_TABLE1(TMainApp, TApplication)
//{{TMainAppRSP_TBL_BEGIN}}
    EV_COMMAND(CM_HELPABOUT, CmHelpAbout),
//{{TMainAppRSP_TBL_END}}
END_RESPONSE_TABLE;


//////////////////////////////////////////////////////////
// TMainApp
// =====
//
TMainApp::TMainApp () : TApplication("Movie Credits Sample")
{

    // INSERT>> Your constructor code here.
}


TMainApp::~TMainApp ()
{
    // INSERT>> Your destructor code here.
}


//////////////////////////////////////////////////////////
// TMainApp
// =====
// Application intialization.
//
void TMainApp::InitMainWindow ()
{
    if (nCmdShow != SW_HIDE)
        nCmdShow = (nCmdShow != SW_SHOWMINNOACTIVE) ? SW_SHOWNORMAL : nCmdShow;

    SDIDecFrame *frame = new SDIDecFrame(0, GetName(), 0, false);
    frame->SetFlag(wfShrinkToClient);

    //
    // Assign ICON w/ this application.
    //
    frame->SetIcon(this, IDI_SDIAPPLICATION);

  
    SetMainWindow(frame);


    //
    // Windows 3-D controls.
    //
    EnableCtl3d(true);
}


//{{SDIDecFrame Implementation}}


SDIDecFrame::SDIDecFrame (TWindow *parent, const char far *title, TWindow *clientWnd, bool trackMenuSelection, TModule *module)
    : TDecoratedFrame(parent, title, clientWnd == 0 ? new TMainDlgClient(0) : clientWnd, trackMenuSelection, module)
{
    // INSERT>> Your constructor code here.
    // Attr.Style &= ~(WS_THICKFRAME|WS_MAXIMIZEBOX);

}


SDIDecFrame::~SDIDecFrame ()
{
    // INSERT>> Your destructor code here.

}


//////////////////////////////////////////////////////////
// TMainApp
// ===========
// Menu Help About owlmovie.exe command
void TMainApp::CmHelpAbout ()
{
}
int OwlMain (int , char* [])
{
    try {
        TMainApp    app;
        return app.Run();
    }
    catch (xmsg& x) {
        ::MessageBox(0, x.why().c_str(), "Exception", MB_OK);
    }

    return -1;
}
